' ----------------------------------------------------------------------------
' Return A value of a given RGB value
' ----------------------------------------------------------------------------
Function GetA:Int(RGB:Int)
	
	Return RGB Shr 24 & %11111111
	
End Function

' ----------------------------------------------------------------------------
' Return R value of a given RGB value
' ----------------------------------------------------------------------------
Function GetR:Int(RGB:Int)
	
    Return RGB Shr 16 & %11111111
	
End Function

' ----------------------------------------------------------------------------
' Return G value of a given RGB value
' ----------------------------------------------------------------------------
Function GetG:Int(RGB:Int)
	
	Return RGB Shr 8 & %11111111
	
End Function

' ----------------------------------------------------------------------------
' Return B value of a given RGB value
' ----------------------------------------------------------------------------
Function GetB:Int(RGB:Int)
	
	Return RGB & %11111111
	
End Function

' ----------------------------------------------------------------------------
' Return ARGB value of given R,G,B,A single values
' ----------------------------------------------------------------------------
Function CombineARGB:Int(a:Int,r:Int,g:Int,b:Int)

	Return b | (g Shl 8) | (r Shl 16) | (a Shl 24)
	
End Function

' ----------------------------------------------------------------------------
' Return RGB value of given R,G,B single values
' ----------------------------------------------------------------------------
Function CombineRGB:Int(r:Int,g:Int,b:Int)

	Return b | (g Shl 8) | (r Shl 16)
	
End Function

' ----------------------------------------------------------------------------
' Level adjust like in Photoshop
' ----------------------------------------------------------------------------
Function Levels:Int(inPixel:Int, inBlack:Int = 0, inGamma:Float = 1.0, inWhite:Int = 255, outBlack:Int = 0, outWhite:Int = 255)

	Return (((inPixel-inBlack)/(inWhite-inBlack)^inGamma*(outWhite-outBlack))+outBlack)

End Function