' ------------------------------------------------------------------------------------------------
' Flag Management
' ------------------------------------------------------------------------------------------------
Type TFlag

	Field key:String
	Field value:Int

	Global List:TList = CreateList()


	' --------------------------------------------------------------------------------------------
	' METHOD: Create new Object in TList
	' --------------------------------------------------------------------------------------------
	Method New()

		ListAddLast(List, Self)

	End Method



	' --------------------------------------------------------------------------------------------
	' METHOD: Add Flag
	' --------------------------------------------------------------------------------------------
	Method Add(key:String, value:Int)

		Local t:TFlag = New TFlag

		t.key = Upper(key)
		t.value = value

	End Method



	' --------------------------------------------------------------------------------------------
	' METHOD: Set Flag
	' --------------------------------------------------------------------------------------------
	Method Set(Key:String, value:Int)

		For Local t:TFlag = EachIn TFlag.List

			If Upper(Key) = t.Key Then t.value = value

		Next

	End Method



	' --------------------------------------------------------------------------------------------
	' METHOD: Switch Flag
	' --------------------------------------------------------------------------------------------
	Method Switch(key:String)

		For Local t:TFlag = EachIn TFlag.List

			If Upper(key) = t.key Then t.value = 1 - t.value

		Next

	End Method



	' --------------------------------------------------------------------------------------------
	' METHOD: Get Flag
	' --------------------------------------------------------------------------------------------
	Function Get:Int(key:String)

		For Local t:TFlag = EachIn TFlag.List

			If Upper(key) = t.key Then Return t.value

		Next

		Return Null

	End Function



End Type